%{?nodejs_find_provides_and_requires}

%global packagename snapdragon
%global enable_tests 1

Name:		nodejs-snapdragon
Version:	0.11.0
Release:	1%{?dist}
Summary:	Easy-to-use plugin system for parsers and compilers

License:	MIT
URL:		https://github.com/jonschlinkert/snapdragon
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(component-emitter)
BuildRequires:	npm(debug)
BuildRequires:	npm(define-property)
BuildRequires:	npm(extend-shallow)
BuildRequires:	npm(get-value)
BuildRequires:	npm(isobject)
BuildRequires:	npm(map-cache)
BuildRequires:	npm(mocha)
BuildRequires:	npm(snapdragon-capture)
BuildRequires:	npm(snapdragon-capture-set)
BuildRequires:	npm(snapdragon-node)
BuildRequires:	npm(snapdragon-util)
BuildRequires:	npm(use)
%endif

%description
Easy-to-use plugin system for creating powerful, fast and versatile parsers and
compilers, with built-in source-map support.


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Apr 14 2017 Jared Smith <jsmith@fedoraproject.org> - 0.11.0-1
- Initial packaging
